Subject: Re: [RFC PATCH] ipsec: fix IPv4 AH alignment on 32 bits

From: Nicolas Dichtel <[email-masked]>
Date: Fri, 28 Jan 2011 09:51:40 +0100

On 28/01/2011 05:51, Herbert Xu wrote:
> David Miller<[email-masked]>  wrote:
>>
>> We cannot just start rejecting the old 8-byte alignment on input if
>> Linux has been using an 8-byte alignment since day one.
>>
>> If you want this change to be considered seriously, you need to relax
>> the AH4 input check.
>
> I second your sentiment.  However, in this particular case it
> would appear that our old implementation was also overly strict
> in rejecting 32-bit alignment so even if we relax it now it still
> wouldn't work with an old implementation once we reduce the padding
> on output (unless you traffic was one-way only).
Yes, this was my initial problem.

>
> So perhaps an SA configuration flag is needed?
I agree. If David is ok, I will update the patch.

Regards,
Nicolas